Date: Wed, 30 Jul 1997 10:26:37 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: PCMCIA and Whippet
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


I forgot to a bit to indicate the presence of the PCMCIA slot. Below is a fix.

Some comments about the Whippet and its driver:

  - Is there also a PC version of this card? If yes, this is a great
    opportunity for finding out the differences and similarities between the
    PCMCIA slot on PC and Amiga. The owners of an I-card would be very happy
    then :-)

  - Isn't there a better way to probe for the presence of a Whipper in the
    slot? I thought PCMCIA was plug-and-play.

--- linux-2.1.47/arch/m68k/amiga/config.c.orig	Tue Jul 29 19:59:01 1997
+++ linux-2.1.47/arch/m68k/amiga/config.c	Tue Jul 29 22:58:15 1997
@@ -169,6 +169,7 @@
   case AMI_600:
   case AMI_1200:
     AMIGAHW_SET(A1200_IDE);
+    AMIGAHW_SET(PCMCIA);
   case AMI_500:
   case AMI_500PLUS:
   case AMI_1000:
@@ -298,6 +299,7 @@
   AMIGAHW_ANNOUNCE(ALICE_PAL, "ALICE_PAL ");
   AMIGAHW_ANNOUNCE(ALICE_NTSC, "ALICE_NTSC ");
   AMIGAHW_ANNOUNCE(MAGIC_REKICK, "MAGIC_REKICK ");
+  AMIGAHW_ANNOUNCE(PCMCIA, "PCMCIA ");
   if (AMIGAHW_SET(ZORRO))
     printk("ZORRO%s ", AMIGAHW_SET(ZORRO3) ? "3" : "");
   printk("\n");
@@ -897,6 +899,7 @@
     AMIGAHW_ANNOUNCE(ALICE_PAL, "PAL Alice 8374");
     AMIGAHW_ANNOUNCE(ALICE_NTSC, "NTSC Alice 8374");
     AMIGAHW_ANNOUNCE(MAGIC_REKICK, "Magic Hard Rekick");
+    AMIGAHW_ANNOUNCE(PCMCIA, "PCMCIA Slot");
     if (AMIGAHW_PRESENT(ZORRO))
 	len += sprintf(buffer+len, "\tZorro%s AutoConfig: %d Expansion Device%s\n",
 		       AMIGAHW_PRESENT(ZORRO3) ? " III" : "",
--- linux-2.1.47/drivers/char/ser_whippet.c.orig	Tue Jul 29 19:59:17 1997
+++ linux-2.1.47/drivers/char/ser_whippet.c	Tue Jul 29 22:53:01 1997
@@ -548,7 +548,7 @@
 unsigned char ch;
 unsigned long flags;
 
-	if (!((MACH_IS_AMIGA) && (AMIGAHW_PRESENT(A1200_IDE))))
+	if (!((MACH_IS_AMIGA) && (AMIGAHW_PRESENT(PCMCIA))))
 		return -ENODEV;
 
 	save_flags(flags);
--- linux-2.1.47/include/asm-m68k/amigahw.h.orig	Thu Jan  9 21:03:56 1997
+++ linux-2.1.47/include/asm-m68k/amigahw.h	Tue Jul 29 23:29:34 1997
@@ -103,6 +103,7 @@
     AMIGAHW_DECLARE(ALICE_PAL);		/* PAL Alice (8374) */
     AMIGAHW_DECLARE(ALICE_NTSC);	/* NTSC Alice (8374) */
     AMIGAHW_DECLARE(MAGIC_REKICK);	/* A3000 Magic Hard Rekick */
+    AMIGAHW_DECLARE(PCMCIA);		/* PCMCIA Slot */
     AMIGAHW_DECLARE(ZORRO);		/* Zorro AutoConfig */
     AMIGAHW_DECLARE(ZORRO3);		/* Zorro III */
 };

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

